Page MenuHomePhabricator

Remove special Hexagon packet traversal code
ClosedPublic

Authored by ted on Jul 30 2020, 11:39 AM.

Details

Summary

On Hexagon, breakpoints need to be on the first instruction of a packet.
When the LLVM disassembler for Hexagon returned 32 bit instructions, we
needed code to find the start of the current packet. Now that the LLVM
disassembler for Hexagon returns packets instead of instructions, we always
have the first instruction of the packet. Remove the packet traversal code
because it can cause problems when the next packet has more than one
instruction.

Diff Detail

Event Timeline

ted created this revision.Jul 30 2020, 11:39 AM
Herald added a project: Restricted Project. · View Herald TranscriptJul 30 2020, 11:39 AM
ted requested review of this revision.Jul 30 2020, 11:39 AM

LGTM after fixing clang format related changes seen in "Lint: Pre-merge checks"

ted updated this revision to Diff 282640.Aug 3 2020, 8:53 AM

Fixed formatting flagged by Lint: Pre-merge checks

clayborg accepted this revision.Aug 4 2020, 2:28 PM
This revision is now accepted and ready to land.Aug 4 2020, 2:28 PM
This revision was landed with ongoing or failed builds.Aug 5 2020, 10:05 AM
This revision was automatically updated to reflect the committed changes.